Board index FlightGear Support Tools FGRun

Problems with compiling FGRun

FGRun is a graphical frontend to run FlightGear.

Problems with compiling FGRun

Postby dmaxel » Sun Dec 19, 2010 6:14 pm

Hi everyone,

I'm using Ubuntu 10.10 Maverick Meerkat, and I downloaded the source code for FGRun, and am trying to compile it. I've been able to run ./configure without any problems, but when I tell it to "make", I come up with these errors:
Code: Select all
dmaxel@dmaxel-laptop:~/Documents/fgrun-1.5.2$ make
Making all in src
make[1]: Entering directory `/home/dmaxel/Documents/fgrun-1.5.2/src'
make  all-am
make[2]: Entering directory `/home/dmaxel/Documents/fgrun-1.5.2/src'
if g++ -DHAVE_CONFIG_H -I. -I. -I.    -DLOCALEDIR=\"/usr/local/share/locale\" -g -O2 -MT wizard.o -MD -MP -MF ".deps/wizard.Tpo" -c -o wizard.o wizard.cxx; \
   then mv -f ".deps/wizard.Tpo" ".deps/wizard.Po"; else rm -f ".deps/wizard.Tpo"; exit 1; fi
In file included from wizard.cxx:7:
wizard.h:5: fatal error: FL/Fl.H: No such file or directory
compilation terminated.
make[2]: *** [wizard.o] Error 1
make[2]: Leaving directory `/home/dmaxel/Documents/fgrun-1.5.2/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/dmaxel/Documents/fgrun-1.5.2/src'
make: *** [all-recursive] Error 1


It would be greatly appreciated if someone could help me. I would love to have a GUI for choosing planes and starting point along with TerraSync. Thank you!!
dmaxel
 
Posts: 1
Joined: Sun Dec 19, 2010 6:11 pm

Re: Problems with compiling FGRun

Postby FlakFodder » Mon Dec 20, 2010 5:47 pm

I am also running Maverick (Mint Julia actually, but same system) and get the exact same errors. I have never been able to get FGRun running under any Linux release, though I get slapped down in a different way each time. The command line has a place, but running that way is highly impractical for a program with such a complex array of startup options. Fortunately we at least have a couple of of other GUI options available if we can't use FGRun.

A decent alternative is FG Flier. To run it you need to install python-wxgtk2.8, which is in the repositories. Its biggest drawback for me is its airport selection list, which doesn't display the name of the airport, so I have to know that Washington Island is W147 for example. Aside from that it's pretty nice. FG Flier is available here:
http://sourceforge.net/projects/fgflier/

...with a FG Forum thread here:
viewtopic.php?f=6&t=9675

I was using FGo! for a while; this offers a large text window, and thumbnail images of aircraft, and ability to search airports by name (e.g. "meigs"), but far fewer GUI options. Its author says, "You can actually think about FGo! as the configuration file editor with some useful gadgets," which is an accurate description. However, as of a couple of days ago it simply refuses to start up any more, and I haven't yet found out why. FGo!'s site is here if you want to try it:
http://sites.google.com/site/erobosproj ... dd-ons/fgo

...and a Forum thread here:
viewtopic.php?f=6&t=6279

I've switched to FG Flier now, and that seems to be working fine for now.
FlakFodder
 
Posts: 2
Joined: Wed Oct 27, 2010 5:20 am

Re: Problems with compiling FGRun

Postby bongarje » Sun Dec 26, 2010 1:33 pm

Hi dmaxel,

you must install "libfltk1.1-devel" using Synaptic. This fixes the FL/Fl.h error.
But you will later run into compiling errors because of namespace problems. A quick and dirty fix for me was adding "using namespace std;" after the #include statements in wizard.h in the src-directory of fgrun-1.5.2

Good luck :)
Jens
bongarje
 
Posts: 1
Joined: Sun Dec 26, 2010 1:24 pm


Return to FGRun

Who is online

Users browsing this forum: No registered users and 3 guests